unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    StatusBar1: TStatusBar;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure ShowHint(Sender: TObject);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
 Application.OnHint := ShowHint;
end;

procedure TForm1.ShowHint(Sender: TObject);
var
 l,t:Integer;
begin
 StatusBar1.Repaint;
 with StatusBar1.Canvas do
  begin
   Brush.Style:=bsClear;
   Font.Color:=clWhite;
   l:=10;
   t:=1;
   TextOut(l,t,Application.Hint);
   if RadioButton1.Checked then
    begin
     inc(l);
     inc(t);
    end
   else
    begin
     dec(l);
     dec(t);
    end;
   Font.Color:=clBlue;
   TextOut(l,t,Application.Hint);
  end;
end;

end.
